package com.tzld.piaoquan.api.dao.mapper.wecom.thirdpart;

import com.tzld.piaoquan.api.model.po.wecom.thirdpart.ThirdPartWeComVideo;
import com.tzld.piaoquan.api.model.po.wecom.thirdpart.ThirdPartWeComVideoExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ThirdPartWeComVideoMapper {
    long countByExample(ThirdPartWeComVideoExample example);

    int deleteByExample(ThirdPartWeComVideoExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ThirdPartWeComVideo record);

    int insertSelective(ThirdPartWeComVideo record);

    List<ThirdPartWeComVideo> selectByExample(ThirdPartWeComVideoExample example);

    ThirdPartWeComVideo selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ThirdPartWeComVideo record, @Param("example") ThirdPartWeComVideoExample example);

    int updateByExample(@Param("record") ThirdPartWeComVideo record, @Param("example") ThirdPartWeComVideoExample example);

    int updateByPrimaryKeySelective(ThirdPartWeComVideo record);

    int updateByPrimaryKey(ThirdPartWeComVideo record);
}